---
title: Force Close Multiple Orders within a Date Range
slug: api-documentation/force-close-multiple-orders-within-a-date-range
docTags: 
createdAt: 2026-08-27T16:57:40.129Z
---

{
  "id": "UeA1Iuutnn76aAr9UOVmI",
  "type": "api-oas-v2",
  "data": {
    "method": "POST",
    "url": "https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange"
      }
    ],
    "name": "Force Close Multiple Orders within a Date Range",
    "description": "<p>This endpoint allows administrators to force close multiple orders placed in a date range.\nIf site id is provided in header, it will close orders on that site, otherwise it will close on all sites where the request user is authorized.\nAuthorized permissions:</p>\n<ul>\n<li><code>order.force.close</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [],
      "bodyDataParameters": [
        {
          "kind": "required",
          "name": "body",
          "type": "object",
          "description": "The request should have a date range of orders to be closed and a check for closing cancel requested orders.",
          "customType": "CloseOrdersBatchDateRangeRequest",
          "schema": [
            {
              "name": "fromDate",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "Optional field for from date.",
              "example": "2024-06-12T00:00:00Z",
              "format": "date-time"
            },
            {
              "name": "toDate",
              "kind": "optional",
              "type": "string<date-time>",
              "description": "Optional field for to date.",
              "example": "2024-06-12T23:59:59Z",
              "format": "date-time"
            },
            {
              "name": "closeCancelRequested",
              "kind": "optional",
              "type": "boolean",
              "description": "<p>Optional field, if true 'CancelRequest\" order will be marked for closing as well, otherwise ignored.</p>"
            }
          ],
          "modelRef": "#/components/schemas/CloseOrdersBatchDateRangeRequest",
          "isExpanded": true
        }
      ],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "NoChannelPortalAccess",
          "name": "NoChannelPortalAccess",
          "kind": "optional",
          "type": "http",
          "description": "<p>This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "scheme": "bearer"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        },
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to 'LoggedIn', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "202",
        "description": "<p>Success-orders marked for closing.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "CloseDateRangeOrderResponse",
            "schema": [
              {
                "name": "numberOfOrders",
                "kind": "required",
                "type": "number<integer>",
                "description": "The number of orders marked for closing.",
                "format": "integer"
              }
            ],
            "modelRef": "#/components/schemas/CloseDateRangeOrderResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "",
            "customType": "ErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ErrorResponse",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "hzLs2nOPGdJGp39M-Y7kB",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request POST \\\n     --url https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "iInnjphKZ8nvdzdPKbm94",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'POST',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "JSP_ZaHa6EptrBkjCna-m",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Post.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "1c7CByhhCbVSZqxWKzS98",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/order/forceClose/batch/dateRange\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"POST\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "hzLs2nOPGdJGp39M-Y7kB"
    },
    "results": {
      "languages": [
        {
          "id": "_M2sTvPoblxY07a9Z3Yns",
          "language": "202",
          "code": "// Success-orders marked for closing.\n{\n  \"numberOfOrders\": \"\"\n}"
        },
        {
          "id": "Rsz19g34yzQaOQi1jrfKs",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "UFRn6KnliJWoF3b4ToHPi",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "_M2sTvPoblxY07a9Z3Yns"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}